local  SaltProduction = foundation.createMod();

-- Apply building asset processor
SaltProduction:registerAssetProcessor("models/saltmarshes.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
SaltProduction:registerAssetProcessor("models/rocksaltmine.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
SaltProduction:registerAssetProcessor("models/saltworks.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
-- Particle system
SaltProduction:dofile("scripts/marsh.lua")
-- Jobs
SaltProduction:dofile("scripts/jobs.lua")
-- Resources
SaltProduction:dofile("scripts/resources.lua")
-- Trading
SaltProduction:dofile("scripts/trade.lua")
-- Buildings
SaltProduction:dofile("scripts/saltmarshes.lua")
SaltProduction:dofile("scripts/rocksaltmine.lua")
SaltProduction:dofile("scripts/saltworks.lua")
