local saltTrader = ...

-- Register an addition neighbour to trade with. 
saltTrader:register({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_LA_ROCHELLE",

	VillageName = "La Rochelle",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = "GOLD", Quantity = 300 }
	},
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 20 }
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 15 }
		}
	},
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = {
		{
			ResourceMaxAmount = { Resource = "SALT2", Quantity = 25 },
			UnitPrice = { Resource = "GOLD", Quantity = 15 },
		}
	},	
	Allegeance = "LABOUR"
})

saltTrader:register({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_ORLEANS",

	VillageName = "Orleans",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = "SALT2", Quantity = 20 }
	},
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		}
	},
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = {
		{
			ResourceMaxAmount = { Resource = "SALT2", Quantity = 25 },
			UnitPrice = { Resource = "GOLD", Quantity = 15 },
		}
	},
	Allegeance = "LABOUR"
})

-- Override default village list
saltTrader:override({
	Id = "VILLAGE_LIST_DEFAULT",
	TradingVillageList = {
		Action = "APPEND",
		"VILLAGE_LA_ROCHELLE",
		"VILLAGE_ORLEANS"
	}
})